/* Main navigation */
.main-navigation {
  background: #fff;
  font-family: "Segoe UI", Arial, sans-serif;
}

.primarymain-navigation ul ul {
  opacity: 1 !important;
  visibility: visible !important;
  position: static;
  display: block;
}

.menu-main-container {
  display: flex;
  justify-content: flex-end;
}

.main-menu {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
}

.main-menu > li {
  position: relative;
}

.main-menu > li > a {
  display: block;
  color: #000;
  text-decoration: none;
  font-weight: 500;
  transition: all 0.3s ease;
}

.main-menu > li > a:hover {
  color: rgb(21, 144, 226);
}

.mega-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 990px;
  background: #fff;
  padding: 12px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
  z-index: 999;
  transition: all 0.5s ease;
  border-radius: 8px;
}

.mega-menu ul.sub-menu {
  position: relative;
  left: 0;
  opacity: 1;
  box-shadow: none;
  display: grid !important;
  grid-template-columns: repeat(3, 1fr);
  align-items: stretch !important;
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
  cursor: pointer;
}
.mega-menu .mega-menu-title{
	margin-bottom: 10px;
	font-weight: 700;
}
/* Show mega menu on hover */
.main-menu > li:hover > .mega-menu {
  display: block;
  left: 50%;
  transform: translateX(-50%);
}

/* Sub-menu grid layout */

/* Sub-menu items styled as boxes */
.mega-menu .sub-menu .menu-item {
  overflow: hidden;
  transition:
    transform 0.2s ease,
    box-shadow 0.2s ease;
	border-bottom: 0;
}

.mega-menu .sub-menu .menu-item a {
  display: flex;
	gap: 10px;
  padding: 12px 0px;
  text-decoration: none;
  font-weight: 500;
}

.mega-menu .sub-menu .menu-item:hover {
    background-color: #eff4f4;
    opacity: 1;
    color: #616161 !important;
}

.mega-menu .sub-menu .menu-item a:hover {
  color: #000;
}

.mega-menu .sub-menu .menu-item {
 	padding: 13px 17px;
    display: flex;
    color: #8a8a8a;
    white-space: unset;
    border-radius: 5px;
    transition: all .2s;
}

.mega-menu ul.sub-menu .mega-menu-icon-wrap{
	width:30%
}

.mega-menu-icon {
  width: 100%;
  height: auto;
  margin-right: 8px;
}
.mega-menu .sub-menu .mega-menu-text-wrap{
	width: 70%;
}
.mega-menu-description {
  font-size: 14px;
	color: #565656;
}

/* mobile responsive */

.mobile-menu.active {
  right: 0;
  width: 300px;
}
.mega-menu .sub-menu .menu-item a:focus{
	color: #071b36;
}
@media only screen and (max-width: 1144px) {
  .mega-menu {
    width: 600px;
  }

  .main-menu > li:hover > .mega-menu {
    display: block;
    left: 35%;
    transform: translateX(-35%);
    transition: transform 0.4s ease;
  }

  .mega-menu ul.sub-menu {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 991px) {
  .mobile-navigation ul {
    padding: 8px 15px;
  }

  .mobile-main-menu .mega-menu {
    display: block;
    position: relative;
    width: 100%;
    background: transparent;
    box-shadow: none;
    padding: 0;
    z-index: 999;
    transition: all 0.5s ease;
    border-radius: 8px;
  }

  .mega-menu ul.sub-menu {
    grid-template-columns: 1fr;
    gap: 0;
    width: 100%;
    padding: 0;
  }

  .mega-menu .sub-menu .menu-item  a{
    padding: 0;
    background: transparent;
    display: flex;
    align-items: baseline;
    gap: 10px;
    border-radius: 0;
  }
	.mega-menu .sub-menu .menu-item{
		padding: 5px;
	}
	.mega-menu .sub-menu .menu-item:hover{
		background: transparent;
	}

	.mega-menu ul.sub-menu .mega-menu-icon-wrap{
		width:20%;
	}
	.mega-menu .sub-menu .mega-menu-text-wrap{
		width: 80%;
	}
  .mega-menu-icon {
    width: 100%;
    height: auto;
    margin-right: 8px;
  }
  .mega-menu-description {
    font-size: 12px;
    color: #000;
  }

  .menu-mobile-container {
    margin-top: 20px;
    border: 1px solid rgb(179, 179, 179, 0.247);
  }

  .mobile-navigation a {
    text-decoration: none;
  }

  .mobile-navigation li {
    padding: 0;
  }

  .mobile-menu li:last-child {
    border: none;
  }

  .mobile-main-menu .mega-menu,
  .mobile-main-menu .sub-menu {
    display: none;
  }
  .mobile-main-menu li.open > .mega-menu,
  .mobile-main-menu li.open > .sub-menu {
    display: block;
  }
}
